InfoSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.doc.info.InfoSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.doc.info
Class InfoSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.doc.info.InfoSubTask

All Implemented Interfaces:
  Serializable

public class InfoSubTask
extends TemplateSubTask

Extracts tag values from classes and method docs and generates an HTML report that summarizes all occurrences of this tag in a source tree. This task can be used to generate TODO lists or any list with metrics about the occurrence of a certain tag.

Version:
  $Revision: 1.14 $
Author:
  Aslak Hellesøy
See Also:
  Serialized Form
ant.element
  display-name="Info/Todo" name="info" parent="xdoclet.modules.doc.DocumentDocletTask"
created
  September 18, 2001
To do:
  use DocletTask as parent instead. should be enough.

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`InfoSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getHeader()` Gets the Header attribute of the InfoSubTask object
`String` | `getProjectname()` Gets the Projectname attribute of the InfoSubTask object
`protected Properties` | `getProperties()` Gets the Properties attribute of the InfoSubTask object
`void` | `setHeader(String header)` Sets the Header attribute of the InfoSubTask object
`void` | `setProjectname(String projectname)` Sets the Projectname attribute of the InfoSubTask object
`void` | `setTag(String tag)` Sets the Tag attribute of the InfoSubTask object
`void` | `validateOptions()` validate options - noop here

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoSubTask

    public InfoSubTask()

To do:
  blabla (this is yet another test)

Method Detail

### getHeader

    public String getHeader()

  Gets the Header attribute of the InfoSubTask object

  Returns:
    The Header value

### getProjectname

    public String getProjectname()

  Gets the Projectname attribute of the InfoSubTask object

  Returns:
    The Projectname value

### setHeader

    public void setHeader(String header)

  Sets the Header attribute of the InfoSubTask object

  Parameters:
    `header` - The new Header value

### setTag

    public void setTag(String tag)

  Sets the Tag attribute of the InfoSubTask object

  Parameters:
    `tag` - The new Tag value

### setProjectname

    public void setProjectname(String projectname)

  Sets the Projectname attribute of the InfoSubTask object

  Parameters:
    `projectname` - The new Projectname value

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception
  To do:
    generate an overview summary html too? (the default right page). It could be the old todo file, a bit modified.

### validateOptions

    public void validateOptions()
                         throws XDocletException

  validate options - noop here

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getProperties

    protected Properties getProperties()

  Gets the Properties attribute of the InfoSubTask object

  Returns:
    The Properties value

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD